import java.io.*;
import org.apache.poi.hssf.usermodel.*;
import org.apache.poi.poifs.filesystem.*;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.eventusermodel.*;
import org.apache.poi.hssf.record.*;
import org.apache.poi.hssf.dev.EFHSSF;
public class FindNameOfSheet implements HSSFListener
{
    public static void main(String[] args) throws IOException
    {
      
        FileInputStream fin = new FileInputStream(args[0]);
     
        POIFSFileSystem poifs = new POIFSFileSystem(fin);
        InputStream din = poifs.createDocumentInputStream("Workbook");
          HSSFRequest req = new HSSFRequest();
           req.addListenerForAllRecords(new FindNameOfSheet());
           HSSFEventFactory factory = new HSSFEventFactory();
          factory.processEvents(req, din);
            fin.close();
             din.close();
        System.out.println("STOP");
    }
	public void processRecord(Record record)
    {
        switch (record.getSid())        {
            
            case  BoundSheetRecord.sid:
                BoundSheetRecord bsrecord = (BoundSheetRecord) record;
               System.out.println("New sheet named: " + bsrecord.getSheetname());
                break;
             
            }
   }

   
    
}
